tigase.server.amp.action

## Class Store

- java.lang.Object
- - tigase.server.amp.ActionAbstract
  - - tigase.server.amp.action.Store

- All Implemented Interfaces:
    ActionIfc, AmpFeatureIfc

      public class Store
      extends ActionAbstract

  Created: May 1, 2010 11:32:59 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.amp.ActionAbstract

      `AMP_SECURITY_LEVEL, AMP_SECURITY_LEVEL_DEFAULT, resultsHandler, SECURITY_PROP_KEY`

    - ### Fields inherited from interface tigase.server.amp.AmpFeatureIfc

      `ACTION_ATT, AMP_MSG_REPO_CLASS_PARAM, AMP_MSG_REPO_CLASS_PROP_KEY, AMP_MSG_REPO_URI_PARAM, AMP_MSG_REPO_URI_PROP_KEY, AMP_XMLNS, CONDITION_ATT, EXPIRED, FROM_CONN_ID, MSG_OFFLINE_PROP_KEY, OFFLINE, SESSION_JID, TO_CONN_ID, TO_RES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Store()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute(Packet packet, Element rule)`
    `Map<String,Object>` | `getDefaults(Map<String,Object> params)`
    `String` | `getName()`
    `void` | `setProperties(Map<String,Object> props, ActionResultsHandlerIfc handler)`

    - ### Methods inherited from class tigase.server.amp.ActionAbstract

      `prepareAmpPacket, removeTigasePayload`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Store

          public Store()

  - ### Method Detail

    - #### execute

          public boolean execute(Packet packet,
                                 Element rule)

    - #### getDefaults

          public Map<String,Object> getDefaults(Map<String,Object> params)

      Specified by:
        `getDefaults` in interface `ActionIfc`
      Overrides:
        `getDefaults` in class `ActionAbstract`

    - #### getName

          public String getName()

    - #### setProperties

          public void setProperties(Map<String,Object> props,
                                    ActionResultsHandlerIfc handler)

      Specified by:
        `setProperties` in interface `ActionIfc`
      Overrides:
        `setProperties` in class `ActionAbstract`

Copyright © 2017 "Tigase, Inc.". All rights reserved.